Parrot Security(ParrotSec)今天发布了Parrot 4.11,作为其基于安全性的基于Debian的发行版的最新版本,用于渗透测试和道德黑客。

在Parrot 4.10推出七个多月后,Parrot 4.11发行版采用了最新的LTS(长期支持)Linux 5.10内核系列,以获得更好的硬件支持,并包含基于稳定的Debian GNU/Linux 10“Buster”操作系统存储库的最新核心组件。

尽管Parrot 4.11附带Linux 5.10 LTS作为默认内核,但由于Parrot遵循滚动发布模型,因此该团队计划将系统升级到最近发布的Linux 5.11内核系列。但是他们没有提供这样做的时间表,如果您安装了Parrot 4.11,请确保您保持最新状态。

Parrot本质上是一个面向安全的发行版,所以您可以期待您最喜欢的渗透测试和道德黑客工具的显著更新。新版本包括Metasploit 6.0.36, Bettercap 2.29和Routersploit 3.9。

此外,ParrotSec团队修补了Pompem漏洞利用和漏洞发现工具,以使用新的wpvulndb服务器并正确处理服务中断。 Xspy X-windows按键嗅探器工具也是如此,已对其进行了修补,以防止其在主机系统上可执行。

在其他值得注意的更改中,Parrot 4.11添加了对Fish和Zsh shell的支持,同时更新了KDE Plasma和Xfce版本并进行了一些改进和错误修复,最后不推荐使用Python 2,因为该发行版默认情况下随Python 3.9一起提供。

ParrotSec开发人员还透露了一个事实,他们计划在不久的将来发布发行版的LTS分支,希望与滚动版本一起发布。 LTS版承诺在尖端功能方面具有稳定性,还将重新引入ARM支持和初始化自由。

“我们将抓住一个新的Debian发布的机会,将当前的分支转换成一个长期支持分支,只需很少的更新,就能获得非常可靠的用户体验,”开发者们说。“我们正在评估在轻载版本的同时继续提供一个滚动发布分支的想法。”

在此发行版中还进行了大量清理工作,您可以查看发行说明以获取有关已删除,重新访问或替换的内容的更多详细信息。

现在可以从官方网站下载预装了MATE、Xfce和KDE Plasma桌面环境家庭版和安全版的Parrot 4.11。由于这是一个滚动发布分支,现有用户只需要更新他们的安装就可以获得最新的内核和包更新。

发表评论